libzypp: zyppng::ProvideMediaHandle Class Reference

libzypp 17.38.11

zyppng::ProvideMediaHandle Class Reference

`#include <zypp/ng/media/provide.h>`

## Public Types
using | ParentType = Provide

## Public Member Functions
| ProvideMediaHandle ()
| ProvideMediaHandle (AttachedMediaInfo_Ptr dataPtr)
ProvideRef | parent () const
bool | isValid () const
const zypp::Url & | baseUrl () const
const std::optional< zypp::Pathname > & | localPath () const
const AttachedMediaInfo & | info () const

## Private Attributes
AttachedMediaInfo_Ptr | _data

## Detailed Description

Definition at line 27 of file provide.h.

## Member Typedef Documentation

## ◆ ParentType

using zyppng::ProvideMediaHandle::ParentType = Provide

Definition at line 30 of file provide.h.

## Constructor & Destructor Documentation

## ◆ ProvideMediaHandle() [1/2]

zyppng::ProvideMediaHandle::ProvideMediaHandle | ( |  | ) |

Definition at line 112 of file provide.cc.

## ◆ ProvideMediaHandle() [2/2]

zyppng::ProvideMediaHandle::ProvideMediaHandle | ( | AttachedMediaInfo_Ptr | dataPtr | ) |

Definition at line 114 of file provide.cc.

## Member Function Documentation

## ◆ parent()

ProvideRef zyppng::ProvideMediaHandle::parent | ( |  | ) | const

Definition at line 117 of file provide.cc.

## ◆ isValid()

bool zyppng::ProvideMediaHandle::isValid | ( |  | ) | const

Definition at line 122 of file provide.cc.

## ◆ baseUrl()

const zypp::Url & zyppng::ProvideMediaHandle::baseUrl | ( |  | ) | const

Definition at line 127 of file provide.cc.

## ◆ localPath()

const std::optional< zypp::Pathname > & zyppng::ProvideMediaHandle::localPath | ( |  | ) | const

Definition at line 134 of file provide.cc.

## ◆ info()

const AttachedMediaInfo & zyppng::ProvideMediaHandle::info | ( |  | ) | const

Definition at line 142 of file provide.cc.

## Member Data Documentation

## ◆ _data

AttachedMediaInfo_Ptr zyppng::ProvideMediaHandle::_data
| private

Definition at line 41 of file provide.h.

The documentation for this class was generated from the following files:

- zypp/ng/media/provide.h
- zypp/ng/media/provide.cc